function [ GlobK, GlobM ] = ApplyBCEig( GlobK, GlobM, BC, dofPerNode )
%UNTITLED        .
% Copyright 2017 Daniil S. Denisov

%     :
for i=1:size(BC,1)
    %  
    currBC = BC(i,:);
    %   .
    typeBC = currBC(1);
    %   .
    nnumBC = currBC(2);
    %     ()  . .
    glDOF1=(nnumBC-1)*dofPerNode+1;
    glDOF2=(nnumBC-1)*dofPerNode+2;
    %      .
    %   .  ,    1  .
    % ..    ,   2   2 .
    if (typeBC==1)
        GlobM(glDOF1,:) = 0;
        GlobM(:,glDOF1) = 0;
        GlobM(glDOF2,:) = 0;
        GlobM(:,glDOF2) = 0;
        GlobM(glDOF1,glDOF1) = 1;
        GlobM(glDOF2,glDOF2) = 1;
        GlobK(glDOF1,:) = 0;
        GlobK(:,glDOF1) = 0;
        GlobK(glDOF2,:) = 0;
        GlobK(:,glDOF2) = 0;
    end
    %   . ,   (  ) .
    if (typeBC==2)
        GlobM(glDOF2,:) = 0;
        GlobM(:,glDOF2) = 0;
        GlobM(glDOF2,glDOF2) = 1;
        GlobK(glDOF2,:) = 0;
        GlobK(:,glDOF2) = 0;
    end
    %   . ,   (  ) .
    if (typeBC==3)
        GlobM(glDOF1,:) = 0;
        GlobM(:,glDOF1) = 0;
        GlobM(glDOF1,glDOF1) = 1;
        GlobK(glDOF1,:) = 0;
        GlobK(:,glDOF1) = 0;
    end
end
end