function [ ] = PlotMesh( nNodes,nElems,nBCs,allElems,allNodes,allBCs )
%UNTITLED      (plot)  
%      .
%   Detailed explanation goes here
labels = cellstr(num2str([1:nNodes]'));
plot(allNodes(:,1),allNodes(:,2), 'bo', 'MarkerSize',8,...
    'MarkerFaceColor', 'w', 'LineWidth', 2.0);
%   :
xlim([(-1)*((max(allNodes(:,1))-min(allNodes(:,1)))/10) ...
    max(allNodes(:,1))+(max(allNodes(:,1))-min(allNodes(:,1)))/10]);
ylim([(-1)*((max(allNodes(:,2))-min(allNodes(:,2)))/10) ...
    max(allNodes(:,2))+(max(allNodes(:,2))-min(allNodes(:,2)))/10]);
%  .
text(allNodes(:,1),allNodes(:,2), labels,'LineWidth',2,...
    'VerticalAlignment', 'bottom', 'HorizontalAlignment','right');
%  .
hold on;
grid on;
for el = 1:nElems
    currElem = allElems(el,:);
    currNode1_coords = [allNodes(currElem(1),1) allNodes(currElem(1),2)];
    currNode2_coords = [allNodes(currElem(2),1) allNodes(currElem(2),2)];
    plot([currNode1_coords(1) currNode2_coords(1)],...
        [currNode1_coords(2) currNode2_coords(2)]);
    textCoord1 = currNode1_coords(1)-(currNode1_coords(1)-currNode2_coords(1))/2;
    textCoord2 = currNode1_coords(2)-(currNode1_coords(2)-currNode2_coords(2))/2;
    text(textCoord1,textCoord2,num2str(el));
end
end

