function [ GlobK, GlobF ] = ApplyBC( GlobK, GlobF, BC, dofPerNode)
%UNTITLED3       -  .
% Copyright 2017 Daniil S. Denisov
%     :
for i=1:size(BC,1)
    %  
    currBC = BC(i,:);
    %   .
    typeBC = currBC(1);
    %   .
    nnumBC = currBC(2);
    %      . .
    glDOF1=(nnumBC-1)*dofPerNode+1;
    glDOF2=(nnumBC-1)*dofPerNode+2;
    %    .
    %   .  ,    1  .
    % ..    ,   2   2 .
    if (typeBC==1)
        GlobK(glDOF1,:) = 0;
        GlobK(:,glDOF1) = 0;
        GlobK(glDOF2,:) = 0;
        GlobK(:,glDOF2) = 0;
        GlobK(glDOF1,glDOF1) = 1;
        GlobK(glDOF2,glDOF2) = 1;
    end
    %  . ,   (  ) .
    if (typeBC==2)
        GlobK(glDOF2,:) = 0;
        GlobK(:,glDOF2) = 0;
        GlobK(glDOF2,glDOF2) = 1;
    end
    %  . ,   (  ) .
    if (typeBC==3)
        GlobK(glDOF1,:) = 0;
        GlobK(:,glDOF1) = 0;
        GlobK(glDOF1,glDOF1) = 1;
    end
    %  ,       .
    if (typeBC==10)
        %       BC.
        forceValue = zeros(3,1);
        forceValue(1) = currBC(1,3);
        forceValue(2) = currBC(1,4);
        forceValue(3) = currBC(1,5);
        %    . .
        GlobF(glDOF1) = GlobF(glDOF1)+forceValue(1);
        GlobF(glDOF2) = GlobF(glDOF2)+forceValue(2);
    end
end
end

